Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicBusyLabelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.LabelUI
              javax.swing.plaf.basic.BasicLabelUI
                  org.jdesktop.swingx.plaf.basic.BasicBusyLabelUI

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, BusyLabelUI

    public class BasicBusyLabelUI

extends javax.swing.plaf.basic.BasicLabelUI
implements BusyLabelUI

Base implementation of the `JXBusyLabel` UI.

Author:
  rah003

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicLabelUI
`labelUI`

Constructor Summary
`BasicBusyLabelUI(JXBusyLabel lbl)` Creates a new instance of BasicBusyLabelUI

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`BusyPainter` | `getBusyPainter(java.awt.Dimension dim)`
`int` | `getDelay()` Delay between moving from one point to another.

Methods inherited from class javax.swing.plaf.basic.BasicLabelUI
`getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, layoutCL, paint, paintDisabledText, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBusyLabelUI

    public BasicBusyLabelUI(JXBusyLabel lbl)

  Creates a new instance of BasicBusyLabelUI

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### getBusyPainter

    public BusyPainter getBusyPainter(java.awt.Dimension dim)

  Specified by:
    `getBusyPainter` in interface `BusyLabelUI`
  Returns:
    The BusyPainter for the JXBusyLabel. If this method returns null, then no progress indication will be shown by busy label.

### getDelay

    public int getDelay()

  Description copied from interface: `BusyLabelUI`
  Delay between moving from one point to another. The exact timing will be close to the selected value but is not guearantied to be precise (subject to the timing precision of underlaying jvm).

  Specified by:
    `getDelay` in interface `BusyLabelUI`
  Returns:
    Delay in ms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.